Subject: Re: bug#24925: 25.1.50; Suboptimal explanation of FACESPEC in (elisp) Search-based Fontification

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Nov 2016 19:57:47 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 11 Nov 2016 18:06:27 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > From: Michael Heerdegen <[email-masked]>
> > > Date: Fri, 11 Nov 2016 17:20:38 +0100
> > > 
> > >      In this kind of element, FACESPEC is an expression whose value
> > >      specifies the face to use for highlighting.  In the simplest case,
> > >      FACESPEC is a Lisp variable (a symbol) whose value is a face name.
> > > 
> > > The first sentence is not good because an expression has no associated
> > > value.
> >
> > ??? An expression certainly can have a value.
> 
> I really think that first sentence can be interpreted in different ways
> when being read - see the rest of what I said.  Let's be more specific:
> say that the expression is evaluated dynamically, and that the according
> return value at that time is used. In contrast to having "a" value; like
> evaluating only one time when the spec is added, or expecting the
> expression to be constant.

I really don't understand what's bugging you in that text.  IMO, it's
crystal clear.  Perhaps I'm missing something.